# -*- encoding: utf-8 -*-
# stub: samizdat 0.7.1 ruby lib

Gem::Specification.new do |s|
  s.name = "samizdat".freeze
  s.version = "0.7.1"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.require_paths = ["lib".freeze]
  s.authors = ["Dmitry Borodaenko".freeze]
  s.date = "2023-01-28"
  s.description = "Generic RDF-based Web engine intended for building collaboration and open\npublishing web sites. Samizdat engine allows everyone to publish, view,\ncomment, edit, and aggregate text and multimedia resources, vote on ratings\nand classifications, filter resources by flexible sets of criteria.\n".freeze
  s.email = "angdraug@debian.org".freeze
  s.files = ["AUTHORS".freeze, "COPYING".freeze, "ChangeLog.cvs".freeze, "ChangeLog.mtn".freeze, "NEWS".freeze, "README".freeze, "Rakefile".freeze, "TODO".freeze, "doc/captcha.txt".freeze, "doc/concepts.txt".freeze, "doc/design-goals.txt".freeze, "doc/examples/samizdat-thin.yaml".freeze, "doc/examples/siege/siege-urls.txt".freeze, "doc/install.txt".freeze, "doc/migration/upgrade_from_v0.6.2.sql".freeze, "doc/notes.txt".freeze, "doc/references.txt".freeze, "doc/translations.txt".freeze, "lib/samizdat.rb".freeze, "lib/samizdat/captcha/captcha.rb".freeze, "lib/samizdat/captcha/equation.rb".freeze, "lib/samizdat/components/list.rb".freeze, "lib/samizdat/components/resource.rb".freeze, "lib/samizdat/controllers/diff_controller.rb".freeze, "lib/samizdat/controllers/frontpage_controller.rb".freeze, "lib/samizdat/controllers/history_controller.rb".freeze, "lib/samizdat/controllers/member_controller.rb".freeze, "lib/samizdat/controllers/message_controller.rb".freeze, "lib/samizdat/controllers/moderation_controller.rb".freeze, "lib/samizdat/controllers/query_controller.rb".freeze, "lib/samizdat/controllers/resource_controller.rb".freeze, "lib/samizdat/controllers/tags_controller.rb".freeze, "lib/samizdat/engine.rb".freeze, "lib/samizdat/engine/controller.rb".freeze, "lib/samizdat/engine/dataset.rb".freeze, "lib/samizdat/engine/dispatcher.rb".freeze, "lib/samizdat/engine/exceptions.rb".freeze, "lib/samizdat/engine/gettext.rb".freeze, "lib/samizdat/engine/globals.rb".freeze, "lib/samizdat/engine/helpers.rb".freeze, "lib/samizdat/engine/model.rb".freeze, "lib/samizdat/engine/password.rb".freeze, "lib/samizdat/engine/plugins.rb".freeze, "lib/samizdat/engine/request.rb".freeze, "lib/samizdat/engine/session.rb".freeze, "lib/samizdat/engine/site.rb".freeze, "lib/samizdat/engine/time.rb".freeze, "lib/samizdat/engine/view.rb".freeze, "lib/samizdat/helpers/application_helper.rb".freeze, "lib/samizdat/helpers/diff_helper.rb".freeze, "lib/samizdat/helpers/message_helper.rb".freeze, "lib/samizdat/helpers/resource_helper.rb".freeze, "lib/samizdat/helpers/syndication_helper.rb".freeze, "lib/samizdat/models/content.rb".freeze, "lib/samizdat/models/member.rb".freeze, "lib/samizdat/models/message.rb".freeze, "lib/samizdat/models/moderation.rb".freeze, "lib/samizdat/models/tag.rb".freeze, "lib/samizdat/plugins/access.rb".freeze, "lib/samizdat/plugins/arith_captcha.rb".freeze, "lib/samizdat/plugins/blog.rb".freeze, "lib/samizdat/plugins/content_file.rb".freeze, "lib/samizdat/plugins/content_inline.rb".freeze, "lib/samizdat/plugins/email_blacklist.rb".freeze, "lib/samizdat/plugins/file_default.rb".freeze, "lib/samizdat/plugins/html.rb".freeze, "lib/samizdat/plugins/image.rb".freeze, "lib/samizdat/plugins/inline_default.rb".freeze, "lib/samizdat/plugins/language_prefix.rb".freeze, "lib/samizdat/plugins/occupation.rb".freeze, "lib/samizdat/plugins/plain_text.rb".freeze, "lib/samizdat/plugins/poison_field.rb".freeze, "lib/samizdat/plugins/profile.rb".freeze, "lib/samizdat/plugins/role.rb".freeze, "lib/samizdat/plugins/route.rb".freeze, "lib/samizdat/plugins/spam.rb".freeze, "lib/samizdat/plugins/spam_merge.rb".freeze, "lib/samizdat/plugins/squish.rb".freeze, "lib/samizdat/plugins/tag.rb".freeze, "lib/samizdat/plugins/tag_default.rb".freeze, "lib/samizdat/plugins/textile.rb".freeze, "lib/samizdat/plugins/video.rb".freeze, "lib/samizdat/plugins/virtual_tag.rb".freeze, "samizdat.gemspec".freeze, "setup.rb".freeze, "test/mock.rb".freeze, "test/tc_application_helper.rb".freeze, "test/tc_equation.rb".freeze, "test/tc_message_helper.rb".freeze, "test/tc_password.rb".freeze, "test/tc_robot.rb".freeze, "test/tc_version.rb".freeze, "test/ts_samizdat.rb".freeze, "test/util.rb".freeze]
  s.homepage = "https://github.com/angdraug/samizdat".freeze
  s.licenses = ["GPL-3.0+".freeze]
  s.rubygems_version = "3.3.15".freeze
  s.summary = "Web collaboration and open publishing engine".freeze
  s.test_files = ["test/ts_samizdat.rb".freeze]

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<graffiti>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<magic>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rack>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<rmagick>.freeze, [">= 0"])
    s.add_runtime_dependency(%q<whitewash>.freeze, [">= 0"])
    s.add_development_dependency(%q<rake>.freeze, [">= 0"])
    s.add_development_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_development_dependency(%q<fast-gettext>.freeze, [">= 0"])
    s.add_development_dependency(%q<tzinfo>.freeze, [">= 0"])
  else
    s.add_dependency(%q<graffiti>.freeze, [">= 0"])
    s.add_dependency(%q<magic>.freeze, [">= 0"])
    s.add_dependency(%q<rack>.freeze, [">= 0"])
    s.add_dependency(%q<rmagick>.freeze, [">= 0"])
    s.add_dependency(%q<whitewash>.freeze, [">= 0"])
    s.add_dependency(%q<rake>.freeze, [">= 0"])
    s.add_dependency(%q<test-unit>.freeze, [">= 0"])
    s.add_dependency(%q<fast-gettext>.freeze, [">= 0"])
    s.add_dependency(%q<tzinfo>.freeze, [">= 0"])
  end
end
